Respond to Braintree webhook URL verification challenge
GET
/webhooks/braintree/{siteId}/{accountId}
Path Parameters
- siteIdstringrequired
- accountIdstringrequired
Query Parameters
- bt_challengestringrequired
Responses
200
401
curl
curl --request GET \
--url '/webhooks/braintree/{siteId}/{accountId}?bt_challenge=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/webhooks/braintree/{siteId}/{accountId}?bt_challenge=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/webhooks/braintree/{siteId}/{accountId}?bt_challenge=string")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/webhooks/braintree/{siteId}/{accountId}?bt_challenge=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
401
// Unauthorized